Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.uri
Class EPCGen2Util

    java.lang.Object
      com.connecterra.ale.uri.EPCGen2Util

    public class EPCGen2Util

extends Object

Helper class for tag memory bank numbers as defined in the Class 1 Gen 2 specification.

Field Summary
`static int` | `BANK_EPC` The numeric value of the EPC memory bank
`static String` | `BANK_EPC_NAME` The string name of the EPC memory bank
`static int` | `BANK_RESERVED` The numeric value of the reserved memory bank
`static String` | `BANK_RESERVED_NAME` The string name of the reserved memory bank
`static int` | `BANK_TID` The numeric value of the TID memory bank
`static String` | `BANK_TID_NAME` The string name of the TID memory bank
`static int` | `BANK_USER` The numeric value of the user memory bank
`static String` | `BANK_USER_NAME` The string name of the user memory bank

Constructor Summary
`EPCGen2Util()`

Method Summary
`static int` | `getBankNum(String memoryBank)` Calculate the EPCglobal Class1 Gen2-internal bank number representation given a user-provided String representation of a bank name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BANK_RESERVED

    public static final int BANK_RESERVED

  The numeric value of the reserved memory bank

  See Also:
    Constant Field Values

### BANK_EPC

    public static final int BANK_EPC

  The numeric value of the EPC memory bank

  See Also:
    Constant Field Values

### BANK_TID

    public static final int BANK_TID

  The numeric value of the TID memory bank

  See Also:
    Constant Field Values

### BANK_USER

    public static final int BANK_USER

  The numeric value of the user memory bank

  See Also:
    Constant Field Values

### BANK_RESERVED_NAME

    public static final String BANK_RESERVED_NAME

  The string name of the reserved memory bank

  See Also:
    Constant Field Values

### BANK_EPC_NAME

    public static final String BANK_EPC_NAME

  The string name of the EPC memory bank

  See Also:
    Constant Field Values

### BANK_TID_NAME

    public static final String BANK_TID_NAME

  The string name of the TID memory bank

  See Also:
    Constant Field Values

### BANK_USER_NAME

    public static final String BANK_USER_NAME

  The string name of the user memory bank

  See Also:
    Constant Field Values

Constructor Detail

### EPCGen2Util

    public EPCGen2Util()

Method Detail

### getBankNum

    public static int getBankNum(String memoryBank)

  Calculate the EPCglobal Class1 Gen2-internal bank number representation given a user-provided String representation of a bank name. The string may be one of the bank name above, or a string which, when parsed as a number, is one the bank numbers above. If the value is not recognized, returns -1.

  Parameters:
    `memoryBank` - the name of the memory bank
  Returns:
    the C1G2-internal bank number associated with that bank name, if it is valid. -1, otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD